@import 'quasar.variables';
@import 'layout';
@import 'login';
@import 'home';
@import 'attendance';
@import 'invite';
@import 'preference';
@import 'team';
@import 'notification';
@import 'autoAssign';

// font face
@font-face {
  font-family: helveticaNeueLight;
  src: url(fonts/helvetica-neue/HelveticaNeueCyr-Light.woff);
}

@font-face {
  font-family: helveticaNeueMedium;
  src: url(fonts/helvetica-neue/HelveticaNeueCyr-Medium.woff);
}


// font
.helvetica-neue-light {
  font-family: 'helveticaNeueLight';
}

.helvetica-neue-medium {
  font-family: 'helveticaNeueMedium';
}

// font size
.font-10 {
  font-size: 10px;
}

.font-12 {
  font-size: 12px;
}

.font-14 {
  font-size: 14px !important;
}

.font-16 {
  font-size: 16px !important;
}

.font-18 {
  font-size: 18px;
}

.font-24 {
  font-size: 24px;
}

.font-28 {
  font-size: 28px;
}

.font-36 {
  font-size: 36px;
}

.font-48 {
  font-size: 48px !important;
}

.font-60 {
  font-size: 60px !important;
}

// background
.bg-647BD1 {
  background-color: $blue-647BD1;
}

.bg-C4C4C4 {
  background-color: $grey-C4C4C4;
}

.bg-BDD9FF {
  background-color: $blue-BDD9FF;
}

.bg-666B72 {
  background: $grey-666B72;
}

// letter spacing
.letter-spacing-2 {
  letter-spacing:0.2em;
}

// text
.text-777777 {
  color: $grey-777777;
}

.text-888888 {
  color: $grey-888888;
}

.text-5B9ADD {
  color: $blue-5B9ADD;
}

.text-318BDD {
  color: $blue-318BDD;
}

.text-6B85E8 {
  color: $blue-6B85E8;
}

.text-ff0000 {
  color: red;
}

.text-FA6767 {
  color: $red-FA6767;
}

.text-4586E1 {
  color: $blue-4586E1;
}

.text-8CC4FF {
  color: $blue-8CC4FF
}

.text-A5B8FF {
  color: $blue-A5B8FF
}

.text-underline {
  text-decoration: underline;
}

.text-normalCase {
  text-transform: none;
}

.q-field__native {
  padding-left: 10px;
}

.time-text {
  display: block;
  color: white;
  text-align: end;
}

// opacity
.opacity-5 {
  opacity: 0.5;
}

// border
.border-none {
  border: none !important;
}

.border-radius-10 {
  border-radius: 10px !important;
}

.border-radius-12 {
  border-radius: 12px;
}

.border-radius-15 {
  border-radius: 15px;
}

.border-radius-20 {
  border-radius: 20px;
}

.border-radius-30 {
  border-radius: 30px;
}

.border-radius-50 {
  border-radius: 50px !important;
}

.border-radius-65 {
  border-radius: 65px;
}

// width
.mw-auto {
  min-width: auto !important;
}

.mw-25 {
  max-width: 25% !important;
}

.w-30 {
  width: 30%
}

.w-50 {
  width: 50%;
}

.w-60 {
  width: 60%;
}

.w-70 {
  width: 70%;
}

.w-80 {
  width: 80%;
}

.w-100 {
  width: 100%
}

.h-auto {
  height: auto !important;
}

// border
.border-radius-10 {
  border-radius: 10px;
}

// input
.edit-input {
  padding-top: 10px;
  padding-bottom: 10px;

  input {
    border-radius: 12px;
    padding-left: 10px;
    background-color: $purple-BEAEFE !important;
  }
}

// misc
.separator {
  background: $blue-B8CBE4;
  height: 8px;
  border-radius: 4px;
}

.pointer {
  cursor: pointer;
}

// Global Class For Header
.title {
  background: linear-gradient(155.91deg, $purple-B169BB 8.33%, $blue-318BDD 88.94%);
  border-radius: 10px;
  font-size: 2vw;
  color: white;
  width: 145px;
  height: 58px;

  .title-text {
    padding: unset;
    margin: unset;
  }
}

.tab-menu {
  background: $blue-E8ECFD;
  border-radius: 10px;
  height: 40px;
  margin: 10px 15px;
  font-style: normal;
  font-weight: normal;
  font-size: 16px;
  line-height: 100%;
  text-align: center;
  color: #3E3E3E;
}

.branch-filter {
  .q-field__control {
    max-width: 275px;
  }
}

@media only screen and (max-width: 1025px) {
  .title-text {
    font-size: 16px !important;
  }
}

@media only screen and (min-width: 1439px) {
  .tab-menu {
    width: 125px;
  }
}